## Name

gfs_acl_from_mode — create a Gfarm ACL from file permission bits

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_from_mode(` | mode, |
| acl_p`)`; |

`gfarm_mode_t mode`;
`gfarm_acl_t *acl_p`;

## INPUT ARGUMENTS

`mode`

  Permission bits.

`acl_p`

  A pointer of an ACL structure type.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_from_mode(3), gfs_acl_from_text(3)